# Update description mapping

- Operation ID: `updateDescriptionsById`
- HTTP method: `POST`
- Path: `/activities-api/descriptions/{descriptionId}`
- [Human-readable API reference](https://hub.synerise.com/api-reference/data-management#tag/Activities/operation/updateDescriptionsById)

## Self-contained OpenAPI method

The fenced document below contains this method's documentation and all of its local references. It is self-contained; no category or master specification fetch is required.

```yaml
openapi: 3.0.0
info:
  title: Synerise Public API
  version: 1.9.1
paths:
  /activities-api/descriptions/{descriptionId}:
    post:
      tags:
        - Activities
      summary: Update description mapping
      description: |
        Modify an existing description mapping

        ---

        **API consumers:** <a href="/api-reference/authorization?tag=Authorization&amp;operationId=userLogin" target="_blank" rel="noopener">Synerise User</a>, <a href="/api-reference/authorization?tag=Authorization&amp;operationId=profileLogin" target="_blank" rel="noopener">Workspace (Business Profile)</a>

        **API key permission required:** `ACTIVITIES_API_ACTIVITIES_UPDATE`

        **User role permission required:** `client_activities: update`
      operationId: updateDescriptionsById
      security:
        - JWT: []
      parameters:
        - in: path
          name: descriptionId
          description: ID of the mapping
          required: true
          schema:
            type: number
      requestBody:
        content:
          application/json:
            schema:
              type: object
              description: This object holds the details of the custom description
              properties:
                action:
                  type: string
                  example: page.visit
                  description: "Action name. Can be up to 32 characters long and must match the following regular expression: `^[a-zA-Z0-9\\.\\-_]+$`"
                description:
                  type: string
                  description: |-
                    Event description shown in a Profile card. Can include jinja inserts, which are returned unprocessed.
                    This description is not used when searching for events in Analytics or for Automation trigger purposes.
        description: Updated information
        required: true
      responses:
        "200":
          description: Description mapping
          content:
            application/json:
              schema:
                type: object
                description: This object holds the details of the custom description
                properties:
                  id:
                    type: number
                    description: ID of the mapping
                  businessProfileId:
                    type: number
                    description: Workspace where this mapping applies
                  action:
                    type: string
                    example: page.visit
                    description: "Action name. Can be up to 32 characters long and must match the following regular expression: `^[a-zA-Z0-9\\.\\-_]+$`"
                  description:
                    type: string
                    description: |-
                      Event description shown in a Profile card. Can include jinja inserts, which are returned unprocessed.
                      This description is not used when searching for events in Analytics or for Automation trigger purposes.
      x-snr-doc-urls:
        - /api-reference/data-management#tag/Activities/operation/updateDescriptionsById
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl --request POST \
              --url https://api.synerise.com/activities-api/descriptions/%7BdescriptionId%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"action":"page.visit","description":"string"}'
        - lang: Python
          label: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("api.synerise.com")

            payload = "{\"action\":\"page.visit\",\"description\":\"string\"}"

            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
                }

            conn.request("POST", "/activities-api/descriptions/%7BdescriptionId%7D", payload, headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
        - lang: JavaScript
          label: JavaScript
          source: |-
            const data = JSON.stringify({
              "action": "page.visit",
              "description": "string"
            });

            const xhr = new XMLHttpRequest();
            xhr.withCredentials = true;

            xhr.addEventListener("readystatechange", function () {
              if (this.readyState === this.DONE) {
                console.log(this.responseText);
              }
            });

            xhr.open("POST", "https://api.synerise.com/activities-api/descriptions/%7BdescriptionId%7D");
            xhr.setRequestHeader("Authorization", "Bearer REPLACE_BEARER_TOKEN");
            xhr.setRequestHeader("content-type", "application/json");

            xhr.send(data);
        - lang: Node.js
          label: Node.js
          source: |-
            const http = require("https");

            const options = {
              "method": "POST",
              "hostname": "api.synerise.com",
              "port": null,
              "path": "/activities-api/descriptions/%7BdescriptionId%7D",
              "headers": {
                "Authorization": "Bearer REPLACE_BEARER_TOKEN",
                "content-type": "application/json"
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on("data", function (chunk) {
                chunks.push(chunk);
              });

              res.on("end", function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({action: 'page.visit', description: 'string'}));
            req.end();
        - lang: PHP
          label: PHP
          source: |-
            <?php

            $request = new HttpRequest();
            $request->setUrl('https://api.synerise.com/activities-api/descriptions/%7BdescriptionId%7D');
            $request->setMethod(HTTP_METH_POST);

            $request->setHeaders([
              'Authorization' => 'Bearer REPLACE_BEARER_TOKEN',
              'content-type' => 'application/json'
            ]);

            $request->setBody('{"action":"page.visit","description":"string"}');

            try {
              $response = $request->send();

              echo $response->getBody();
            } catch (HttpException $ex) {
              echo $ex;
            }
        - lang: Java
          label: Java
          source: |-
            HttpResponse<String> response = Unirest.post("https://api.synerise.com/activities-api/descriptions/%7BdescriptionId%7D")
              .header("Authorization", "Bearer REPLACE_BEARER_TOKEN")
              .header("content-type", "application/json")
              .body("{\"action\":\"page.visit\",\"description\":\"string\"}")
              .asString();
servers:
  - description: Microsoft Azure EU
    url: https://api.synerise.com
  - description: Microsoft Azure USA
    url: https://api.azu.synerise.com
  - description: Google Cloud Platform
    url: https://api.geb.synerise.com
tags:
  - name: Activities
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      description: |-
        JWT Bearer token. The header looks like this: `Bearer {JWT}`

        Remember to include the space between 'Bearer' and the token.

        Generate a token via the **Authorization** endpoints.
```
